## org.eclipse.emf.ecore.util
Interface FeatureMap.Entry.Internal

All Superinterfaces:
  FeatureMap.Entry

All Known Implementing Classes:
  EStructuralFeatureImpl.BasicFeatureMapEntry, EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry, EStructuralFeatureImpl.InverseUpdatingFeatureMapEntry, EStructuralFeatureImpl.SimpleFeatureMapEntry, FeatureMapEntryImpl

Enclosing interface:
  FeatureMap.Entry

    public static interface FeatureMap.Entry.Internal

extends FeatureMap.Entry

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry
`FeatureMap.Entry.Internal`

Method Summary
`FeatureMap.Entry.Internal` `createEntry(InternalEObject value)`
`FeatureMap.Entry.Internal` `createEntry(java.lang.Object value)`
`NotificationChain` `inverseAdd(InternalEObject owner, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseAdd(InternalEObject owner, java.lang.Object otherEnd, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseRemove(InternalEObject owner, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseRemove(InternalEObject owner, java.lang.Object otherEnd, int featureID, NotificationChain notifications)`
`void` `validate(java.lang.Object value)`

Methods inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry
`getEStructuralFeature, getValue`

Method Detail

### inverseAdd

    NotificationChain inverseAdd(InternalEObject owner,
                                 int featureID,
                                 NotificationChain notifications)

### inverseRemove

    NotificationChain inverseRemove(InternalEObject owner,
                                    int featureID,
                                    NotificationChain notifications)

### inverseAdd

    NotificationChain inverseAdd(InternalEObject owner,
                                 java.lang.Object otherEnd,
                                 int featureID,
                                 NotificationChain notifications)

### inverseRemove

    NotificationChain inverseRemove(InternalEObject owner,
                                    java.lang.Object otherEnd,
                                    int featureID,
                                    NotificationChain notifications)

### validate

    void validate(java.lang.Object value)

### createEntry

    FeatureMap.Entry.Internal createEntry(java.lang.Object value)

### createEntry

    FeatureMap.Entry.Internal createEntry(InternalEObject value)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.